%define upstream_name    Hash-Param
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    CGI/Catalyst::Request-like parameter-hash accessor/mutator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Hash/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp::Clan)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Slice)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::MakeImmutable)
BuildRequires: perl(Test::Most)
BuildArch: noarch

%description
Hash::Param provides a CGI-param-like accessor/mutator for a hash

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 368396
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 dlucio <dlucio> 0.40.0-1.mga3
+ Revision: 310661
- imported package perl-Hash-Param

